# \Thelia\ToolsDIGenerator

## Summary

Methods
Properties
Constants
genDiModel()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
findClasses()
No private properties found
N/A

File
  Tools/DIGenerator.php
Package
  \Default
Class hierarchy
  \Thelia\Tools\DIGenerator

## Tags

None found

## Methods

### genDiModel()

    genDiModel(string $directory, array $exclude) : array

Find all models in a directory

#### Parameters

string | $directory | Directory where models have to be find.
array | $exclude | Model to be exclude in the return

#### Throws

\RuntimeException

  id $directory is not a valid directory

#### Returns

array —

key is the service name and value the full Class name (including namespace if needed)

#

static

## Tags

None found

### findClasses()

    findClasses(string $path) : array

Extract the classes in the given file

copied from Composer\Autoload\GenerateClassMap::findClasses()

#### Parameters

string | $path | The file to check

#### Returns

array —

The found classes

#

static

## Tags

None found

### DIGenerator.php